> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Unscheduled Learners

> Returns a paginated list of students who have not yet scheduled their exam sessions.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/reports/unscheduledLearners
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/reports/unscheduledLearners:
    get:
      tags:
        - Reports
      summary: Unscheduled Learners
      description: >-
        Returns a paginated list of students who have not yet scheduled their
        exam sessions.
      operationId: getV1InstallsInstallsidReportsUnscheduledlearners
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: Install Sid
            pattern: ^AI[a-f0-9]{32}$
          description: Install Sid
          required: true
        - name: offset
          in: query
          schema:
            type: integer
            description: Offset for pagination
            minimum: 0
          description: Offset for pagination
        - name: limit
          in: query
          schema:
            type: integer
            description: Number of items to return
            default: 50
            minimum: 0
          description: Number of items to return
        - name: courseSid
          in: query
          schema:
            type: string
            description: Course Sid
            pattern: ^CU[a-f0-9]{32}$
          description: Course Sid
        - name: courseOfferingSid
          in: query
          schema:
            type: string
            description: Course Offering Sid
            pattern: ^CO[a-f0-9]{32}$
          description: Course Offering Sid
        - name: courseTitle
          in: query
          schema:
            type: string
            description: Course Title
          description: Course Title
        - name: courseCode
          in: query
          schema:
            type: string
            description: Course code
          description: Course code
        - name: examTitle
          in: query
          schema:
            type: string
            description: Exam title
          description: Exam title
        - name: learnerFirstName
          in: query
          schema:
            type: string
            description: learner first name
          description: learner first name
        - name: learnerLastName
          in: query
          schema:
            type: string
            description: Learners last name
          description: Learners last name
        - name: learnerEmail
          in: query
          schema:
            type: string
            description: Learners email
          description: Learners email
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnscheduledLearnersReportResponse'
components:
  schemas:
    UnscheduledLearnersReportResponse:
      type: object
      properties:
        total:
          type: number
          nullable: true
        first:
          type: string
          nullable: true
        next:
          type: string
          nullable: true
        prev:
          type: string
          nullable: true
        last:
          type: string
          nullable: true
        count:
          type: number
          nullable: true
        offset:
          type: number
          nullable: true
        results:
          $ref: '#/components/schemas/Model19'
    Model19:
      type: array
      items:
        $ref: '#/components/schemas/UnscheduledLearnerItem'
    UnscheduledLearnerItem:
      type: object
      properties:
        sid:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        preferredEmail:
          type: string
          nullable: true
        username:
          type: string
          nullable: true
        mobilePhone:
          type: string
          nullable: true
        homePhone:
          type: string
          nullable: true
        address:
          type: string
          nullable: true
        lmsId:
          type: string
          nullable: true
        apiId:
          type: string
          nullable: true
        sisId:
          type: string
          nullable: true
        externalId:
          type: string
          nullable: true
        latitude:
          type: number
          nullable: true
        longitude:
          type: number
          nullable: true
        lastEnrollmentSync:
          type: string
          nullable: true
        currencyCode:
          type: string
          nullable: true
        timeZoneSid:
          type: string
          nullable: true
        maxTravelDistance:
          type: number
          nullable: true
        maxTravelDistanceUnits:
          type: string
          nullable: true
        createdDate:
          type: string
          nullable: true
        editDate:
          type: string
          nullable: true
        role:
          type: string
          nullable: true
        enabled:
          type: boolean
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````